// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXAggregateTarget section */
		760264FE786FBE616430B2A7 /* ALL_BUILD */ = {
			isa = PBXAggregateTarget;
			buildConfigurationList = 9914045152B84C1284323695 /* Build configuration list for PBXAggregateTarget "ALL_BUILD" */;
			buildPhases = (
				020F776FD33616C90B8A75ED /* Generate CMakeFiles/ALL_BUILD */,
			);
			dependencies = (
				D771E41C644C41C3A7244A3A /* PBXTargetDependency */,
				7F00D657D27E48508A41AD51 /* PBXTargetDependency */,
			);
			name = ALL_BUILD;
			productName = ALL_BUILD;
		};
		A0461B779D2116FB40F339BC /* ZERO_CHECK */ = {
			isa = PBXAggregateTarget;
			buildConfigurationList = 1503396C53604A06A27C1BB9 /* Build configuration list for PBXAggregateTarget "ZERO_CHECK" */;
			buildPhases = (
				EB9C16D23C0A3F1476E1525A /* Generate CMakeFiles/ZERO_CHECK */,
			);
			dependencies = (
			);
			name = ZERO_CHECK;
			productName = ZERO_CHECK;
		};
/* End PBXAggregateTarget section */

/* Begin PBXBuildFile section */
		44F8D8941F624C3D8C3BA184 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tile.hpp */ = {isa = PBXBuildFile; fileRef = 13FFED87F2504DD0ACD2EACC /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tile.hpp */; };
		5BE9BEDB75A64693A5192DFC /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tileset.hpp */ = {isa = PBXBuildFile; fileRef = 8C80F8E6791849B097EA00EA /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tileset.hpp */; };
		68D976902A6D4F31B552CABA /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tilemap.hpp */ = {isa = PBXBuildFile; fileRef = 2697C421EC2C419DB97886DE /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tilemap.hpp */; };
		6CC4B217281442A687E21546 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/main.cpp */ = {isa = PBXBuildFile; fileRef = 6CE8E8A415E94D728C5FDCCB /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/main.cpp */; };
		766AAA13090A4A2F99C03023 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/CMakeLists.txt */ = {isa = PBXBuildFile; fileRef = DAFA56CB0383416E9186C403 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/CMakeLists.txt */; };
		8CF70AE844A445479E2F4133 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Context.hpp */ = {isa = PBXBuildFile; fileRef = 2135880195A94A908CDBE5A1 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Context.hpp */; };
		D237F45404C8491DAA30327C /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tileset.cpp */ = {isa = PBXBuildFile; fileRef = 0872DDE7F9DF45A2958658F5 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tileset.cpp */; };
/* End PBXBuildFile section */

/* Begin PBXBuildStyle section */
		0D67E19AA4984F218B145B2E /* Release */ = {
			isa = PBXBuildStyle;
			buildSettings = {
				COPY_PHASE_STRIP = NO;
			};
			name = Release;
		};
		5672082AE5B8496E96DCF497 /* Debug */ = {
			isa = PBXBuildStyle;
			buildSettings = {
				COPY_PHASE_STRIP = NO;
			};
			name = Debug;
		};
		69DAB96939904A2BB43618A7 /* MinSizeRel */ = {
			isa = PBXBuildStyle;
			buildSettings = {
				COPY_PHASE_STRIP = NO;
			};
			name = MinSizeRel;
		};
		C336EF03F801416CBB1350B3 /* RelWithDebInfo */ = {
			isa = PBXBuildStyle;
			buildSettings = {
				COPY_PHASE_STRIP = NO;
			};
			name = RelWithDebInfo;
		};
/* End PBXBuildStyle section */

/* Begin PBXContainerItemProxy section */
		012160C5C8A44E378AB0495C /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 209E03C94C5348798F0D4973 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = A0461B779D2116FB40F339BC;
			remoteInfo = ZERO_CHECK;
		};
		8ADF6762A8F444BAA11B1FD6 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 209E03C94C5348798F0D4973 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = A499BA316EC1F836ABED643B;
			remoteInfo = SDL3_Tilemap;
		};
		D9E81A09863841A084BEAD28 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 209E03C94C5348798F0D4973 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = A0461B779D2116FB40F339BC;
			remoteInfo = ZERO_CHECK;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		0872DDE7F9DF45A2958658F5 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tileset.cpp */ = {isa = PBXFileReference; explicitFileType = sourcecode.cpp.cpp; fileEncoding = 4; name = Tileset.cpp; path = src/Tileset.cpp; sourceTree = SOURCE_ROOT; };
		13FFED87F2504DD0ACD2EACC /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tile.hpp */ = {isa = PBXFileReference; explicitFileType = sourcecode.cpp.h; fileEncoding = 4; name = Tile.hpp; path = src/Tile.hpp; sourceTree = SOURCE_ROOT; };
		2135880195A94A908CDBE5A1 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Context.hpp */ = {isa = PBXFileReference; explicitFileType = sourcecode.cpp.h; fileEncoding = 4; name = Context.hpp; path = src/Context.hpp; sourceTree = SOURCE_ROOT; };
		2697C421EC2C419DB97886DE /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tilemap.hpp */ = {isa = PBXFileReference; explicitFileType = sourcecode.cpp.h; fileEncoding = 4; name = Tilemap.hpp; path = src/Tilemap.hpp; sourceTree = SOURCE_ROOT; };
		6CE8E8A415E94D728C5FDCCB /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/main.cpp */ = {isa = PBXFileReference; explicitFileType = sourcecode.cpp.cpp; fileEncoding = 4; name = main.cpp; path = src/main.cpp; sourceTree = SOURCE_ROOT; };
		8C80F8E6791849B097EA00EA /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tileset.hpp */ = {isa = PBXFileReference; explicitFileType = sourcecode.cpp.h; fileEncoding = 4; name = Tileset.hpp; path = src/Tileset.hpp; sourceTree = SOURCE_ROOT; };
		DAFA56CB0383416E9186C403 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/CMakeLists.txt */ = {isa = PBXFileReference; explicitFileType = sourcecode.text; fileEncoding = 4; name = CMakeLists.txt; path = CMakeLists.txt; sourceTree = SOURCE_ROOT; };
		E93497B9E234470CBA340EE5 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/CMakeLists.txt */ = {isa = PBXFileReference; explicitFileType = sourcecode.text; fileEncoding = 4; name = CMakeLists.txt; path = CMakeLists.txt; sourceTree = SOURCE_ROOT; };
		F176E3A868E74179B4A88E75 /* SDL3_Tilemap */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; path = SDL3_Tilemap; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		B01223704F9042578BBA0B19 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		01B51F21601C4D35881FABEB = {
			isa = PBXGroup;
			children = (
				A265649368324C4F9948EE93 /* SDL3_Tilemap */,
				2C0AB4F638444B77956F3A33 /* ALL_BUILD */,
				D85E2D00A2BC40C9A2DF5267 /* Products */,
				7F5F8176103A4A9CB6E0D138 /* Frameworks */,
				6FB8B84460244D89BA9DC26E /* Resources */,
			);
			sourceTree = "<group>";
		};
		2C0AB4F638444B77956F3A33 /* ALL_BUILD */ = {
			isa = PBXGroup;
			children = (
				45482176CE7B487F802771F0 /* CMake Rules */,
				E93497B9E234470CBA340EE5 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/CMakeLists.txt */,
			);
			name = ALL_BUILD;
			sourceTree = "<group>";
		};
		45482176CE7B487F802771F0 /* CMake Rules */ = {
			isa = PBXGroup;
			children = (
			);
			name = "CMake Rules";
			sourceTree = "<group>";
		};
		6FB8B84460244D89BA9DC26E /* Resources */ = {
			isa = PBXGroup;
			children = (
			);
			name = Resources;
			sourceTree = "<group>";
		};
		7F5F8176103A4A9CB6E0D138 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		817556BEDA354B0F91FDE624 /* Header Files */ = {
			isa = PBXGroup;
			children = (
				2135880195A94A908CDBE5A1 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Context.hpp */,
				13FFED87F2504DD0ACD2EACC /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tile.hpp */,
				2697C421EC2C419DB97886DE /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tilemap.hpp */,
				8C80F8E6791849B097EA00EA /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tileset.hpp */,
			);
			name = "Header Files";
			sourceTree = "<group>";
		};
		A265649368324C4F9948EE93 /* SDL3_Tilemap */ = {
			isa = PBXGroup;
			children = (
				817556BEDA354B0F91FDE624 /* Header Files */,
				E667A5CBAA1746A092AC8BA9 /* Source Files */,
				DAFA56CB0383416E9186C403 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/CMakeLists.txt */,
			);
			name = SDL3_Tilemap;
			sourceTree = "<group>";
		};
		D85E2D00A2BC40C9A2DF5267 /* Products */ = {
			isa = PBXGroup;
			children = (
				F176E3A868E74179B4A88E75 /* SDL3_Tilemap */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		E667A5CBAA1746A092AC8BA9 /* Source Files */ = {
			isa = PBXGroup;
			children = (
				0872DDE7F9DF45A2958658F5 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tileset.cpp */,
				6CE8E8A415E94D728C5FDCCB /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/main.cpp */,
			);
			name = "Source Files";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		A499BA316EC1F836ABED643B /* SDL3_Tilemap */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 622709B25E1B4C21B53E5809 /* Build configuration list for PBXNativeTarget "SDL3_Tilemap" */;
			buildPhases = (
				F161D305C12E4A6AB387DE81 /* Sources */,
				B01223704F9042578BBA0B19 /* Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
				CDB5BE41BC4742CAAABB92CE /* PBXTargetDependency */,
			);
			name = SDL3_Tilemap;
			productName = SDL3_Tilemap;
			productReference = F176E3A868E74179B4A88E75 /* SDL3_Tilemap */;
			productType = "com.apple.product-type.tool";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		209E03C94C5348798F0D4973 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = YES;
				LastUpgradeCheck = 1620;
			};
			buildConfigurationList = E1BFEF24717A4A4DA258723C /* Build configuration list for PBXProject "SDL3_Tilemap" */;
			buildSettings = {
			};
			buildStyles = (
				5672082AE5B8496E96DCF497 /* Debug */,
				0D67E19AA4984F218B145B2E /* Release */,
				69DAB96939904A2BB43618A7 /* MinSizeRel */,
				C336EF03F801416CBB1350B3 /* RelWithDebInfo */,
			);
			compatibilityVersion = "Xcode 3.2";
			hasScannedForEncodings = 0;
			mainGroup = 01B51F21601C4D35881FABEB;
			projectDirPath = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap";
			projectRoot = "";
			targets = (
				760264FE786FBE616430B2A7 /* ALL_BUILD */,
				A499BA316EC1F836ABED643B /* SDL3_Tilemap */,
				A0461B779D2116FB40F339BC /* ZERO_CHECK */,
			);
		};
/* End PBXProject section */

/* Begin PBXShellScriptBuildPhase section */
		020F776FD33616C90B8A75ED /* Generate CMakeFiles/ALL_BUILD */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Generate CMakeFiles/ALL_BUILD";
			outputPaths = (
"/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/CMakeFiles/ALL_BUILD"			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -e
if test \"$CONFIGURATION\" = \"Debug\"; then :
  cd /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build
  echo Build\\ all\\ projects
fi
if test \"$CONFIGURATION\" = \"Release\"; then :
  cd /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build
  echo Build\\ all\\ projects
fi
if test \"$CONFIGURATION\" = \"MinSizeRel\"; then :
  cd /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build
  echo Build\\ all\\ projects
fi
if test \"$CONFIGURATION\" = \"RelWithDebInfo\"; then :
  cd /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build
  echo Build\\ all\\ projects
fi
";
			showEnvVarsInLog = 0;
		};
		3C0110FC8322DE7E50886E21 = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "# shell script goes here
exit 0";
			showEnvVarsInLog = 0;
		};
		9B50530E35CC49C82C2FACCF = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "# shell script goes here
exit 0";
			showEnvVarsInLog = 0;
		};
		EB9C16D23C0A3F1476E1525A /* Generate CMakeFiles/ZERO_CHECK */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "Generate CMakeFiles/ZERO_CHECK";
			outputPaths = (
"/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/CMakeFiles/ZERO_CHECK"			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "set -e
if test \"$CONFIGURATION\" = \"Debug\"; then :
  cd /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build
  make -f /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/CMakeScripts/ReRunCMake.make
fi
if test \"$CONFIGURATION\" = \"Release\"; then :
  cd /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build
  make -f /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/CMakeScripts/ReRunCMake.make
fi
if test \"$CONFIGURATION\" = \"MinSizeRel\"; then :
  cd /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build
  make -f /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/CMakeScripts/ReRunCMake.make
fi
if test \"$CONFIGURATION\" = \"RelWithDebInfo\"; then :
  cd /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build
  make -f /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/CMakeScripts/ReRunCMake.make
fi
";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		F161D305C12E4A6AB387DE81 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D237F45404C8491DAA30327C /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/Tileset.cpp */,
				6CC4B217281442A687E21546 /* /Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/src/main.cpp */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		7F00D657D27E48508A41AD51 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = A499BA316EC1F836ABED643B /* SDL3_Tilemap */;
			targetProxy = 8ADF6762A8F444BAA11B1FD6 /* PBXContainerItemProxy */;
		};
		CDB5BE41BC4742CAAABB92CE /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = A0461B779D2116FB40F339BC /* ZERO_CHECK */;
			targetProxy = 012160C5C8A44E378AB0495C /* PBXContainerItemProxy */;
		};
		D771E41C644C41C3A7244A3A /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = A0461B779D2116FB40F339BC /* ZERO_CHECK */;
			targetProxy = D9E81A09863841A084BEAD28 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		1FDD2BEF58DB401499257B2A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				CONFIGURATION_BUILD_DIR = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/bin/Release";
				EXECUTABLE_PREFIX = "";
				EXECUTABLE_SUFFIX = "";
				GCC_GENERATE_DEBUGGING_SYMBOLS = NO;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = 3;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				HEADER_SEARCH_PATHS = ("/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/rapidjson/include","$(inherited)");
				INSTALL_PATH = "";
				LD_RUNPATH_SEARCH_PATHS = (/usr/local/lib,"$(inherited)");
				OTHER_CPLUSPLUSFLAGS = "    -DNDEBUG '-std=gnu++17' ";
				OTHER_LDFLAGS = (" -Wl,-search_paths_first -Wl,-headerpad_max_install_names",/usr/local/lib/libSDL3_image.0.2.0.dylib,/usr/local/lib/libSDL3.0.dylib,"$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = SDL3_Tilemap;
				SECTORDER_FLAGS = "";
				SYSTEM_HEADER_SEARCH_PATHS = (/usr/local/include,"$(inherited)");
				TARGET_TEMP_DIR = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/build/SDL3_Tilemap.build/$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = Release;
		};
		21B87A3E28A345E3A1740A9A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = "$(NATIVE_ARCH_ACTUAL)";
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.2.sdk;
				SWIFT_COMPILATION_MODE = wholemodule;
				SYMROOT = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/build";
			};
			name = Release;
		};
		22D9884C6E16442E8FB7134A /* MinSizeRel */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				INSTALL_PATH = "";
				OTHER_LDFLAGS = ("","$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = ALL_BUILD;
				SECTORDER_FLAGS = "";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = MinSizeRel;
		};
		2FAD2B92280C4D8ABA2E32A5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				INSTALL_PATH = "";
				OTHER_LDFLAGS = ("","$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = ZERO_CHECK;
				SECTORDER_FLAGS = "";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = Debug;
		};
		30726A7EF6924A2A8A43F39A /* RelWithDebInfo */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				CONFIGURATION_BUILD_DIR = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/bin/RelWithDebInfo";
				EXECUTABLE_PREFIX = "";
				EXECUTABLE_SUFFIX = "";
				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = 2;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				HEADER_SEARCH_PATHS = ("/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/rapidjson/include","$(inherited)");
				INSTALL_PATH = "";
				LD_RUNPATH_SEARCH_PATHS = (/usr/local/lib,"$(inherited)");
				OTHER_CPLUSPLUSFLAGS = "       -DNDEBUG '-std=gnu++17' ";
				OTHER_LDFLAGS = (" -Wl,-search_paths_first -Wl,-headerpad_max_install_names",/usr/local/lib/libSDL3_image.0.2.0.dylib,/usr/local/lib/libSDL3.0.dylib,"$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = SDL3_Tilemap;
				SECTORDER_FLAGS = "";
				SYSTEM_HEADER_SEARCH_PATHS = (/usr/local/include,"$(inherited)");
				TARGET_TEMP_DIR = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/build/SDL3_Tilemap.build/$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = RelWithDebInfo;
		};
		4CE1CB018BDA49858D7063DC /* RelWithDebInfo */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				INSTALL_PATH = "";
				OTHER_LDFLAGS = ("","$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = ZERO_CHECK;
				SECTORDER_FLAGS = "";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = RelWithDebInfo;
		};
		548305F4EC2E43539640FEB1 /* MinSizeRel */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = "$(NATIVE_ARCH_ACTUAL)";
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.2.sdk;
				SWIFT_COMPILATION_MODE = wholemodule;
				SYMROOT = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/build";
			};
			name = MinSizeRel;
		};
		91F9C3D4899B43DF834920E4 /* RelWithDebInfo */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = "$(NATIVE_ARCH_ACTUAL)";
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.2.sdk;
				SWIFT_COMPILATION_MODE = wholemodule;
				SYMROOT = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/build";
			};
			name = RelWithDebInfo;
		};
		B2634512058D4EF892D78151 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				CONFIGURATION_BUILD_DIR = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/bin/Debug";
				EXECUTABLE_PREFIX = "";
				EXECUTABLE_SUFFIX = "";
				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				HEADER_SEARCH_PATHS = ("/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/rapidjson/include","$(inherited)");
				INSTALL_PATH = "";
				LD_RUNPATH_SEARCH_PATHS = (/usr/local/lib,"$(inherited)");
				OTHER_CPLUSPLUSFLAGS = "   '-std=gnu++17' ";
				OTHER_LDFLAGS = (" -Wl,-search_paths_first -Wl,-headerpad_max_install_names",/usr/local/lib/libSDL3_image.0.2.0.dylib,/usr/local/lib/libSDL3.0.dylib,"$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = SDL3_Tilemap;
				SECTORDER_FLAGS = "";
				SYSTEM_HEADER_SEARCH_PATHS = (/usr/local/include,"$(inherited)");
				TARGET_TEMP_DIR = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/build/SDL3_Tilemap.build/$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = Debug;
		};
		B2DDF5EBA48C4C089D802168 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				INSTALL_PATH = "";
				OTHER_LDFLAGS = ("","$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = ALL_BUILD;
				SECTORDER_FLAGS = "";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = Debug;
		};
		C379155CB816444FAF763117 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				INSTALL_PATH = "";
				OTHER_LDFLAGS = ("","$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = ZERO_CHECK;
				SECTORDER_FLAGS = "";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = Release;
		};
		C3C3A56572B44E7B8399CB65 /* RelWithDebInfo */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				INSTALL_PATH = "";
				OTHER_LDFLAGS = ("","$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = ALL_BUILD;
				SECTORDER_FLAGS = "";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = RelWithDebInfo;
		};
		D37A6301C72C4B94A9AD5133 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = "$(NATIVE_ARCH_ACTUAL)";
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.2.sdk;
				SYMROOT = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/build";
			};
			name = Debug;
		};
		DE362C8CDE964A8697DBE835 /* MinSizeRel */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				INSTALL_PATH = "";
				OTHER_LDFLAGS = ("","$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = ZERO_CHECK;
				SECTORDER_FLAGS = "";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = MinSizeRel;
		};
		ED17806F9E2843E4BF457E49 /* MinSizeRel */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				CONFIGURATION_BUILD_DIR = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/bin/MinSizeRel";
				EXECUTABLE_PREFIX = "";
				EXECUTABLE_SUFFIX = "";
				GCC_GENERATE_DEBUGGING_SYMBOLS = NO;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = s;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				HEADER_SEARCH_PATHS = ("/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/rapidjson/include","$(inherited)");
				INSTALL_PATH = "";
				LD_RUNPATH_SEARCH_PATHS = (/usr/local/lib,"$(inherited)");
				OTHER_CPLUSPLUSFLAGS = "    -DNDEBUG '-std=gnu++17' ";
				OTHER_LDFLAGS = (" -Wl,-search_paths_first -Wl,-headerpad_max_install_names",/usr/local/lib/libSDL3_image.0.2.0.dylib,/usr/local/lib/libSDL3.0.dylib,"$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = SDL3_Tilemap;
				SECTORDER_FLAGS = "";
				SYSTEM_HEADER_SEARCH_PATHS = (/usr/local/include,"$(inherited)");
				TARGET_TEMP_DIR = "/Users/vulcain/Desktop/static/glusoft/pages/sdl3-tutorials/display-tilemap/SDL3_Tilemap/build/build/SDL3_Tilemap.build/$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = MinSizeRel;
		};
		F85698B52048426B9BB3BD8D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				COMBINE_HIDPI_IMAGES = YES;
				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
				GCC_INLINES_ARE_PRIVATE_EXTERN = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = ("'CMAKE_INTDIR=\"$(CONFIGURATION)$(EFFECTIVE_PLATFORM_NAME)\"'","$(inherited)");
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				INSTALL_PATH = "";
				OTHER_LDFLAGS = ("","$(inherited)");
				OTHER_REZFLAGS = "";
				PRODUCT_NAME = ALL_BUILD;
				SECTORDER_FLAGS = "";
				USE_HEADERMAP = NO;
				WARNING_CFLAGS = ("$(inherited)");
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		1503396C53604A06A27C1BB9 /* Build configuration list for PBXAggregateTarget "ZERO_CHECK" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				2FAD2B92280C4D8ABA2E32A5 /* Debug */,
				C379155CB816444FAF763117 /* Release */,
				DE362C8CDE964A8697DBE835 /* MinSizeRel */,
				4CE1CB018BDA49858D7063DC /* RelWithDebInfo */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		622709B25E1B4C21B53E5809 /* Build configuration list for PBXNativeTarget "SDL3_Tilemap" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				B2634512058D4EF892D78151 /* Debug */,
				1FDD2BEF58DB401499257B2A /* Release */,
				ED17806F9E2843E4BF457E49 /* MinSizeRel */,
				30726A7EF6924A2A8A43F39A /* RelWithDebInfo */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		9914045152B84C1284323695 /* Build configuration list for PBXAggregateTarget "ALL_BUILD" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				B2DDF5EBA48C4C089D802168 /* Debug */,
				F85698B52048426B9BB3BD8D /* Release */,
				22D9884C6E16442E8FB7134A /* MinSizeRel */,
				C3C3A56572B44E7B8399CB65 /* RelWithDebInfo */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
		E1BFEF24717A4A4DA258723C /* Build configuration list for PBXProject "SDL3_Tilemap" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D37A6301C72C4B94A9AD5133 /* Debug */,
				21B87A3E28A345E3A1740A9A /* Release */,
				548305F4EC2E43539640FEB1 /* MinSizeRel */,
				91F9C3D4899B43DF834920E4 /* RelWithDebInfo */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Debug;
		};
/* End XCConfigurationList section */
	};
	rootObject = 209E03C94C5348798F0D4973 /* Project object */;
}
